<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getUpgradeHomeRamCost](./bitburner.singularity.getupgradehomeramcost.md)

## Singularity.getUpgradeHomeRamCost() method

Get the price of upgrading home RAM.

**Signature:**

```typescript
getUpgradeHomeRamCost(): number;
```
**Returns:**

number

Cost of upgrading the player’s home computer RAM.

## Remarks

RAM cost: 1.5 GB \* 16/4/1

Returns the cost of upgrading the player’s home computer RAM.

